/*
Theme Name:     Newspaper Child theme
Theme URI: 		http://themeforest.net/user/tagDiv/portfolio
Description:    Child theme made by tagDiv
Author:         tagDiv
Author URI: 	http://themeforest.net/user/tagDiv/portfolio
Template:       Newspaper
Version:        9.0c
*/


/*  ----------------------------------------------------------------------------
    This file will load automatically when the child theme is active. You can use it
    for custom CSS.
*/
.myrhline-style .donot-fix-index  > .td-fix-index {
    transform: none;
    -webkit-transform: none;
}
.myrhline-style .td-scroll-up {
    bottom: 85px;
}
.myrhline-style input[type="submit"],
.myrhline-style .widget input[type="submit"] {
    text-transform: initial;
}
.myrhline-style input[type="checkbox"] {
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    appearance: none !important;
    border: none;
    position: relative;
    top: 4px;
}
.myrhline-style input[type="checkbox"]::before {
    background-color: #fff;
    display: block;
    width: 14px;
    height: 14px;
    content: " ";
    border: 2px solid #D0D6DB;
    margin: 0 0.5rem 0 0;
    border-radius: 2px;
    overflow: hidden;
    color: #fff;
    transition: background-color .3s ease, border-color .3s ease;
}
.myrhline-style input[type="checkbox"]:checked::before {
    content: '';
    background-color: #141515;
    background-image: url(/wp-content/themes/rhline/images/checkmark.png);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: 65%;
    border-color: #141515;
}

.events-grid {
    display: flex;
    flex-wrap: wrap;
    row-gap: 0;
    --pcrgap: 30px;
    column-gap: var(--pcrgap);
    padding: 0 !important;
    margin: 0;
}
.events-grid > li.event-list-item {
    width: calc((100% - var(--pcrgap) * 2)/ 3);
    margin-bottom: 51px;
    list-style: none !important;
}
.event-list-item .entry-date.published {
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0.06em;
    text-transform: uppercase;
    color: #44667C;
    opacity: 0.5;
}
.event-list-item .entry-title.grid-title {
    margin: 0;
    font-weight: 700;
    line-height: 1.35;
}
.agenda-month-title {
    font-family: "Big Shoulders Display";
    font-weight: 700;
    font-size: 20px;
    color: #141515;
    margin-bottom: 1rem;
    margin-top: 0;
    text-transform: uppercase;
    position: relative;
    display: inline-block;
    line-height: 1;
}
.agenda-month-title::after {
    content: '';
    background: #D0D6DB;
    height: 1px;
    position: absolute;
    right: auto;
    width: 1200px;
    z-index: 1;
    left: calc( 100% + 20px );
    bottom: 0;
}
.sc-button {
    position: relative;
    white-space: nowrap;
    z-index: 1;
    padding: 15px 30px;
    font-size: 18px;
    border: none;
    border-radius: 0;
    line-height: 1.3;
    text-align: center;
    transition: all .25s;
    text-transform: uppercase;
    cursor: pointer;
    display: inline-block;
    text-decoration: none;
    background-color: #222;
    color: white;
}
.myrhline-style .em-event-single .sc-button {
    background: black;
    color: white;
    width: auto;
    transition: all 0.3s ease;
}


/*
    POPUP
 */
#event_popup_wrapper {
    display: none;
    position: fixed;
    /*top: 0;*/
    left: 0;
    /*right: 0;*/
    bottom: 0;
    width: 705px;
    z-index: 999999;
    max-width: 80%;
}
#event_popup_wrapper.active {
    display: block;
}
#event_popup_wrapper.active .event_popup_background {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.5);
    display: none;
}
#event_popup_wrapper.active .event_popup {
    /*position: absolute;*/
    bottom: 0;
    left: 0;
    background: white;
    width: 100%;
    height: auto;
}
.event_popup-header {
    background: #272D31;
    color: #ADB7BD;
    line-height: 60px;
    padding-left: 75px;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
}
.event_popup-title {
    display: inline-block;
}
#event_popup_close {
    float: right;
    margin-right: 25px;
    cursor: pointer;
    font-size: 20px;
}
.event_popup-body {
    padding: 40px 40px 60px 75px;
}
.event_popup-body::after {
    content: '';
    display: table;
    width: 100%;
}
.event_popup-event_title {
    font-family: 'Big Shoulders Display', Arial, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 38px;
    color: #272D31;
}
.event_popup-event_description {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 25px;
    color: #49545A;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.event_popup-event_info-intervenant_title,
.event_popup-event_info-start_time-title,
.event_popup-event_info-duration-title {
    font-style: normal;
    font-weight: 600;
    font-size: 8px;
    line-height: 14px;
    letter-spacing: 0.06em;
    text-transform: uppercase;
    color: #638EA9;
    margin-bottom: 5px;
}
.event_popup-event_info-start_time-text {
    font-style: normal;
    font-weight: 600;
    font-size: 17px;
    line-height: 29px;
    color: #272D31;
}
.event_popup-event_info-duration-text {
    font-style: normal;
    font-weight: 400;
    font-size: 11px;
    line-height: 16px;
    color: #49545A;
}
.event_popup-event_info-cta {
    clear: both;
    text-align: center;
}
.event_popup-event_info-cta-button {
    background: #638EA9;
    border-radius: 4px;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 14px;
    color: #FFFFFF;
    padding: 18px 26px;
    width: 190px;
    max-width: 100%;
    display: inline-block;
    text-align: center;
}
.event_popup-event_info-cta-button:hover {
    background: #293D4B;
}
.event_popup-event_info_left {
    width: 50%;
    max-width: 300px;
    float: left;
}
.event_popup-event_info_right {
    width: 100%;
    max-width: calc( 50% - 15px );
    min-width: calc( 100% - 315px );
    margin-left: 15px;
    float: right;
}
.event_popup-event_info-cta, .event_popup-event_info-intervenant,
.event_popup-event_info-start_time, .event_popup-event_info-duration {
    margin-top: 20px;
}


/*
    HOMEPAGE NEWSLETTER SIGNUP FORM
*/

.signup-form-wrapper {
    text-align: center;
    height: 404px;
    padding-top: 60px;
    padding-bottom: 60px;
    width: 69%;
    max-width: 880px;
    min-width: 330px;
    margin: 0 auto;
}
.rh-newsletter-signup-form .signup-form-text-wrapper,
.rh-newsletter-signup-form .signup-form-fields {
    vertical-align: top;
    display: inline-block;
    width: calc(50% - 30px);
    min-width: 300px;
    max-width: 400px;
    padding: 0 15px;
    color: #FFF;
    text-align: left;
}
.rh-newsletter-signup-form .sib-form-heading {
    font-family: 'Big Shoulders Display', arial, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 56px;
    line-height: 58px;
    white-space: nowrap;
    overflow: hidden;
}
.rh-newsletter-signup-form .sib-form-text {
    font-style: normal;
    font-weight: 300;
    font-size: 20px;
    line-height: 28px;
    margin-bottom: 10px;
}
.rh-newsletter-signup-form h1 {
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
    line-height: inherit;
    margin: 0;
    font-family: inherit;
    letter-spacing: inherit;
    display: inline;
}
.rh-newsletter-signup-form.rh-sidebar-newsletter-signup-form {
    background-color: #44667c;
    padding: 1rem;
}

/* NEW BREVO FORMS STYLES */

.rh-newsletter-signup-form .sib_signup_form {
    position: relative;
}
.rh-newsletter-signup-form:not(.rh-sidebar-newsletter-signup-form) .sib_signup_form {
    width: 69%;
    max-width: 880px;
    min-width: 330px;
    margin: -6px auto 0;
}


.rh-newsletter-signup-form .sib-field-label-text {
    font-style: normal;
    font-weight: 400;
    font-size: 11px !important;
    font-family: "Inter", sans-serif;
    line-height: 16px;
    color: #ADB7BD !important;
}
.rh-newsletter-signup-form input.rh-sib-field {
    color: #141515 !important;
    padding: 7px 5px 7px 15px !important;
    vertical-align: middle;
    width: 100%;
    height: 40px !important;
    font-family: "Inter", sans-serif;
    font-weight: 300 !important;
    font-style: normal;
    font-size: 15px !important;
    line-height: 1.42857143 !important;
    background-color: #F3F6F8 !important;
    outline: none;
    -webkit-border-radius: 0 !important;
    -ms-border-radius: 0 !important;
    border-radius: 0 !important;
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    -webkit-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-transition: all ease .3s;
    -ms-transition: all ease .3s;
    transition: all ease .3s;
    margin: 0;
}
.rh-newsletter-signup-form .sib_signup_form > div {
    display: flex;
    flex-wrap: wrap;
    row-gap: 0;
    column-gap: 1.25rem;
}
.rh-newsletter-signup-form .sib_signup_form > div > * {
    flex-basis: 100%;
}
.rh-newsletter-signup-form .sib_signup_form > div > span:nth-of-type(2),
.rh-newsletter-signup-form .sib_signup_form > div > span:nth-of-type(3) {
    flex-basis: calc(50% - 10px);
}
.rh-newsletter-signup-form .sib-field-label {
    margin: 0;
}
.rh-newsletter-signup-form .sib-acceptance-message {
    font-size: 11px;
    line-height: 16px;
    color: #ADB7BD;
    display: block;
    float: left;
    margin: 0.5rem 0;
}
.rh-newsletter-signup-form .sib-acceptance-message a,
.rh-newsletter-signup-form .checkbox-label-text a {
    color: #ADB7BD;
    text-decoration: underline;
}
.rh-newsletter-signup-form .sib-submit-terms-acceptance .checkbox-label-text {
    color: #ADB7BD;
    font-size: 11px;
    vertical-align: top;
    display: inline-block;
    width: calc( 100% - 26px );
    margin-bottom: 0.5rem;
    line-height: 16px;
}
.rh-newsletter-signup-form input[type="submit"] {
    font-weight: 600 !important;
    font-size: 14px !important;
    line-height: 14px !important;
    padding: 13px 15px !important;
    height: inherit;
    border: 2px solid #638EA9 !important;
    -webkit-border-radius: 4px !important;
    -moz-border-radius: 4px !important;
    border-radius: 4px !important;
    background: #638EA9;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    color: #fff !important;
    text-decoration: none;
    text-shadow: 0 -1px 1px #638EA9, 1px 0 1px #638EA9, 0 1px 1px #638EA9, -1px 0 1px #638EA9 !important;
    transition: color 0.2s ease, background-color 0.2s ease, text-shadow 0.2s ease !important;
    width: 100% !important;
    font-family: "Inter", sans-serif;
    text-transform: uppercase;
}
.rh-newsletter-signup-form input[type="submit"]:hover {
    background: #293D4B !important;
    border: 2px solid #293D4B !important;
    text-shadow: none !important;
    cursor: pointer !important;
}
.rh-newsletter-signup-form .sib_msg_disp {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    z-index: 1;
    justify-content: stretch;
    align-content: center;
    align-items: stretch;
}
.rh-newsletter-signup-form .sib_msg_disp:not(:has(> *)) {
    display: none;
}
.rh-newsletter-signup-form .sib_msg_disp .sib-alert-message {
    flex-grow: 1;
    margin: 0 !important;
    text-align: center;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
}
.rh-newsletter-signup-form .sib_loader {
    position: absolute;
    top: 0;
    left: -1rem;
    right: -1rem;
    bottom: -1rem;
    z-index: 1;
    backdrop-filter: blur(2px);
}
.rh-newsletter-signup-form .sib_loader > img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    border-radius: 50%;
    box-shadow: 0 0 6px 0px white;
    background-color: white;
}

.myrhline-style.single .rh-newsletter-signup-form {
    height: auto;
    width: 100%;
    background-color: #44667c;
}

/* TABLE OF CONTENTS */

.table-of-contents {
    padding: 60px 80px;
    /*border: 1px solid lightgrey;*/
    margin-bottom: 2rem;
    background-color: #F3F6F8;
}
.table-of-contents::before {
    content: 'Table des matières';
    display: block;
    text-align: left;
    margin-bottom: 1rem;
    font-family: 'Big Shoulders Display', arial, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 38px;
    color: #272D31;
}

#table-of-contents > a.toc-link:hover {
    color: #638EA9;
}
.toc-link-level-2 {
    margin-top: 10px;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 25px;
    margin-left: 20px;
    color: #272D31;
    display: list-item;
}
.toc-link-level-3 {
    margin-top: 10px;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 25px;
    color: #272D31;
    margin-left: 60px;
    display: list-item;
    list-style: circle;
    padding-inline-start: 0;
}
.toc-link-level-4 {
    margin-top: 10px;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 25px;
    color: #272D31;
    margin-left: 100px;
    display: list-item;
    list-style: square;
    padding-inline-start: 0;
}
.toc-link-level-5 {
    margin-top: 10px;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 25px;
    color: #272D31;
    margin-left: 140px;
    display: list-item;
    list-style: disclosure-closed;
    padding-inline-start: 0;
}
.toc-link-level-2:empty,
.toc-link-level-3:empty,
.toc-link-level-4:empty,
.toc-link-level-5:empty {
    display: none;
}


/* AUTHOR INFO BOX */

.author-info-box {
    background-color: #F3F6F8;
    width: 100%;
    padding: 65px 80px;
    margin: 65px 0 55px;
}
.author-info-box-title-wrapper {
    margin-bottom: 24px;
}
.author-info-box-title {
    font-family: 'Big Shoulders Display', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 1;
    color: #272D31;
}
.author-instagram-link {
    float: right;
    width: 24px;
    height: 24px;
    margin-left: 6px;
    background-image: url(https://myrhline.com/wp-content/uploads/2009/09/social-in.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}
.single h2.author-info-box-title > .author-info-author-name {
    color: #638EA9;
    font-size: inherit;
    font-weight: inherit !important;
    font-style: inherit;
    line-height: 1;
}
.author-info {
    clear: both;
}
.author-info:after {
    content: '';
    display: table;
    width: 100%;
}
.author-info-image-wrapper {
    width: 30%;
    margin-right: 30px;
    float: left;
}
.author-info-text-wrapper {
    width: calc(70% - 30px);
    float: left;
}
.author-info-subtitle {
    font-weight: 600;
    font-size: 17px;
    line-height: 29px;
    color: #272D31;
    margin-bottom: 14px;
}
.author-info-text {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 25px;
    color: #49545A;
    margin-bottom: 23px;
    max-height: 230px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 9;
    overflow: hidden;
    text-overflow: ellipsis;
    transition: max-height 0.3s ease,-webkit-line-clamp 0.001s ease;
    transition-delay: 0.1s, 0.4s;
}
.author-info-text.expanded {
    -webkit-line-clamp: 1000;
    max-height: 1000px;
    transition-delay: 0s;
}
.author-info-text > p {
    margin-bottom: 4px;
    display: inline;
}
.author-info-text > p::after {
    content: '\00000a';
    white-space: pre-wrap;
}
.author-info-bottomlink {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 25px;
    color: #638EA9;
    text-decoration: underline;
}

@media all and (max-width: 960px) {
    .only-on-desktop {
        display: none !important;
    }
}
@media all and (min-width: 961px) {
    .only-on-mobile {
        display: none !important;
    }
}

@media (max-width: 1376px) {
    .myrhline-style.single .rh-newsletter-signup-form {
        padding: 60px;
    }
    .myrhline-style.single .rh-newsletter-signup-form .signup-form-text-wrapper,
    .myrhline-style.single .rh-newsletter-signup-form .signup-form-fields {
        width: 100%;
        margin: 0;
        padding: 0;
        max-width: 880px;
        min-width: 330px;
    }
    .rh-newsletter-signup-form:not(.rh-sidebar-newsletter-signup-form) .sib_signup_form {
        width: 100%;
    }
}
@media (max-width: 960px) {
    .table-of-contents {
        padding: 60px 45px;
        margin-left: -45px;
        margin-right: -45px;
    }
    .rh-newsletter-signup-form {
        padding-left: 30px;
        padding-right: 30px;
        height: auto;
    }
    .rh-newsletter-signup-form:not(.rh-sidebar-newsletter-signup-form) .sib_signup_form {
        min-width: 100%;
    }
    .rh-newsletter-signup-form .signup-form-text {
        width: 100%;
    }
    .rh-newsletter-signup-form .signup-form-fields {
        width: 100%;
        float: none;
    }
    .rh-newsletter-signup-form span.sib-NOM-area,
    .rh-newsletter-signup-form span.sib-NAME-area {
        width: 100%;
        float: none;
    }
    .rh-newsletter-signup-form span.sib-email-area {
        width: 100%;
        float: none;
    }
    .rh-newsletter-signup-form span.sib-submit-area {
        width: 100%;
        float: none;
    }
    .rh-newsletter-signup-form .signup-form-text-wrapper,
    .rh-newsletter-signup-form #text-4 form[id^="foss-"],
    .rh-newsletter-signup-form .signup-form-fields {
        min-width: 100%;
    }
    .myrhline-style .post.type-post .rh-newsletter-signup-form {
        height: auto;
        padding-left: 40px;
        padding-right: 40px;
        margin-left: -45px;
        margin-right: -45px;
    }
}
@media all and ( max-width: 768px ) {

    #event_popup_wrapper {
        width: 100%;
        max-width: 100vw;
        overflow: hidden;
        max-height: 100vh;
    }
    #event_popup_wrapper.active .event_popup {
        background: white;
        width: 100%;
        max-height: 100vh;
        overflow: hidden;
    }
    .event_popup-header {
        padding-left: 45px;
    }
    .event_popup-body {
        padding: 40px 40px 40px 45px;
        max-height: calc( 100vh - 100px );
        box-sizing: border-box;
        overflow: auto;
        margin-bottom: 40px;
    }
    .event_popup-event_info_right,
    .event_popup-event_info_left {
        float: none;
        width: 100%;
        max-width: 100%;
        margin-left: 0;
        margin-right: 0;
    }
    .event_popup-event_info-cta {
        clear: both;
        text-align: center;
        position: absolute;
        bottom: 40px;
        width: calc(100% - 80px);
    }

    .event_popup-event_info-cta-button {
        width: 100%;
        max-width: 100%;
        display: block;
    }
}
@media all and ( max-width: 600px ) {
    .signup-form-wrapper {
        width: auto;
    }
    .myrhline-style .post.type-post .rh-newsletter-signup-form {
        height: auto;
        padding-left: 30px;
        padding-right: 30px;
        margin-left: -45px;
        margin-right: -45px;
    }
}
@media all and ( max-width: 479px ) {
    .myrhline-style .post.type-post .rh-newsletter-signup-form {
        height: auto;
        padding-left: 10px;
        padding-right: 10px;
        margin-left: -45px;
        margin-right: -45px;
    }
}